/*
 * SonarQube
 * Copyright (C) 2009-2017 SonarSource SA
 * mailto:info AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// @flow
export type TextRange = {
  startLine: number,
  startOffset: number,
  endLine: number,
  endOffset: number
};

export type FlowLocation = {
  msg: string,
  textRange: TextRange
};

export type IssueComment = {
  author?: string,
  authorActive?: boolean,
  authorAvatar?: string,
  authorLogin?: string,
  authorName?: string,
  createdAt: string,
  htmlText: string,
  key: string,
  markdown: string,
  updatable: boolean
};

export type Issue = {
  actions: Array<string>,
  assignee?: string,
  assigneeActive?: string,
  assigneeAvatar?: string,
  assigneeLogin?: string,
  assigneeName?: string,
  author?: string,
  comments?: Array<IssueComment>,
  component: string,
  componentLongName: string,
  componentQualifier: string,
  componentUuid: string,
  creationDate: string,
  effort?: string,
  key: string,
  flows: Array<Array<FlowLocation>>,
  line?: number,
  message: string,
  organization: string,
  project: string,
  projectName: string,
  projectOrganization: string,
  projectUuid: string,
  resolution?: string,
  rule: string,
  ruleName: string,
  secondaryLocations: Array<FlowLocation>,
  severity: string,
  status: string,
  subProject?: string,
  subProjectName?: string,
  subProjectUuid?: string,
  tags?: Array<string>,
  textRange?: TextRange,
  transitions?: Array<string>,
  type: string
};
